aboutsummaryrefslogtreecommitdiff
path: root/boca-1.5.0/doc/problemexamples/problemtemplate/tests
diff options
context:
space:
mode:
Diffstat (limited to 'boca-1.5.0/doc/problemexamples/problemtemplate/tests')
-rwxr-xr-xboca-1.5.0/doc/problemexamples/problemtemplate/tests/c17
1 files changed, 13 insertions, 4 deletions
diff --git a/boca-1.5.0/doc/problemexamples/problemtemplate/tests/c b/boca-1.5.0/doc/problemexamples/problemtemplate/tests/c
index d7d0411..de0a9c5 100755
--- a/boca-1.5.0/doc/problemexamples/problemtemplate/tests/c
+++ b/boca-1.5.0/doc/problemexamples/problemtemplate/tests/c
@@ -4,6 +4,7 @@
# and the script files that are included in the problem package
cat > test.c <<EOF
+#include<stdio.h>
int main() {
char s[100];
scanf("%s", s);
@@ -17,11 +18,19 @@ EOF
TL=2
REP=10
-../compile/c test.c test.exe TL
-../run/c test.exe test.in TL REP
-output=`cat stdout0`
-if [ "$output" != "inputdata" ]; then
+chmod 755 ../compile/c
+../compile/c test.c test.exe $TL
+chmod 755 ../run/c
+../run/c test.exe test.in $TL $REP
+if [ -r stdout0 ]; then
+ output=`cat stdout0`
+ if [ "$output" != "inputdata" ]; then
+ echo "ERROR"
+ exit 1
+ fi
+else
echo "ERROR"
exit 1
fi
+echo "TEST PASSED"
exit 0